//Client.
import java.rmi.*;

public class Uni2Client
{
	private static final String HOST = "localhost";
	private static final int[] recStud = 
				{111111,222222,234567,123786};

	public static void main(String[] args)
	{
		try
		{
			//Simply display all account details...

			for (int i=0; i<recStud.length; i++)
			{
				Uni2 temp = (Uni2)Naming.lookup(
						"//" + HOST + "/recStud" + recStud[i]);

				System.out.println("\nID number: " + temp.getId()); 
				System.out.println("Name: " + temp.getName());
				System.out.println("Balance: " + temp.getAverage());
			}
		}
		catch(ConnectException conEx)
		{
			System.out.println("Unable to connect to server!");
			System.exit(1);
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.exit(1);
		}

	}
}

