//Server.
import java.rmi.*;

public class Uni2Server
{
	private static final String HOST = "localhost";

	public static void main(String[] args) throws Exception
	{
		Uni2Impl[] recStud =
			{new Uni2Impl(111111,"Smith","Fred James",25.58),
			new Uni2Impl(222222,"Jones","Sally",23.85),
			new Uni2Impl(234567,"White","Mary Jane",30.00),
			new Uni2Impl(123786,"Block","Larry",18.00)};

		for (int i=0; i<recStud.length; i++)
		{
			int recSudNum = recStud[i].getId();
			Naming.rebind("//" + HOST + "/recStud" + recSudNum, recStud[i]);
			//Could omit host name, since 'localhost' would be
			//assumed by default.
		}
		System.out.println("Binding complete...\n");
	}
}


