//Client.
import java.rmi.*;

public class Uni4Client
{
	private static final String HOST = "localhost";
	private static final int[] recStudId = 
				{111111,222222,234567,123786};

	public static void main(String[] args)
	{
		try
		{
			//Simply display all account details...

			for (int i=0; i<recStudId.length; i++)
			{
				Uni4 temp = (Uni4)Naming.lookup(
						"//" + HOST + "/recStud" + recStudId[i]);

				System.out.println("\nId number: " + temp.getId()); 
				System.out.println("Name: " + temp.getName());
				System.out.println("Balance: " + temp.getAverage());

			}

                        System.out.println("...new record creation...");
                        Uni4Factory ft = (Uni4Factory) Naming.lookup("//"+HOST+"/factorystudent");
                        Uni4 t = (Uni4) ft.createStudentRecord(999999,"Pippo","Pluto",24.5);
                                
			System.out.println("\nAccount number: " + t.getId()); 
			System.out.println("Name: " + t.getName());
			System.out.println("Balance: " + t.getAverage());

		}
		catch(ConnectException conEx)
		{
			System.out.println("Unable to connect to server!");
			System.exit(1);
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.exit(1);
		}

	}
}

