//Server.
import java.rmi.*;

public class Uni4Server
{
	private static final String HOST = "localhost";

	public static void main(String[] args) throws Exception
	{
		Uni4Impl[] recStud =
			{new Uni4Impl(111111,"Smith","Fred James",25.58),
			new Uni4Impl(222222,"Jones","Sally",23.85),
			new Uni4Impl(234567,"White","Mary Jane",30.00),
			new Uni4Impl(123786,"Block","Larry",18.00)};

                        Uni4FactoryImpl t = new Uni4FactoryImpl();
Naming.rebind("//"+HOST+"/factorystudent",t);
		for (int i=0; i<recStud.length; i++)
		{
			int recStudNum = recStud[i].getId();
			Naming.rebind("//" + HOST + "/recStud" + recStudNum, recStud[i]);
			//Could omit host name, since 'localhost' would be
			//assumed by default.
		}
		System.out.println("Binding complete...\n");
	}
}


