//Class from which objects will be created 
//and then passed as arguments.

import java.io.Serializable;

public class Student implements Serializable
{
	private int id;
	private String surname;
	private String firstNames;
	private double average;

	public Student(int i, String n, String s, double a)
	{
		id = i;
		surname = n;
		firstNames = s;
		average = a;
	}

	public int getId()
	{
		return id;
	}

	public String getName()
	{
		return (firstNames + " " + surname);
	}

	public double getAverage()
	{
		return average;
	}

	public void setAverage(double a)
	{
		average = a;
	}
}
