//Server.
import java.rmi.*;
import java.util.Vector;

public class Uni1Server
{
	private static final String HOST = "localhost";

	public static void main(String[] args) throws Exception
	{
		Student[] student =
			{new Student(111111,"Smith","Fred James",25.58),
			new Student(222222,"Jones","Sally",23.85),
			new Student(234567,"White","Mary Jane",30.00),
			new Student(123456,"Block","Larry",18.00)};

		Vector studDetails = new Vector();

		for (int i=0; i<student.length; i++)
			studDetails.addElement(student[i]);

		Uni1Impl temp = new Uni1Impl(studDetails);

		String rmiObjectName = "rmi://" + HOST + "/Students";
		//Could omit host name, since 'localhost' would be
		//assumed by default.

		Naming.rebind(rmiObjectName,temp);
		System.out.println("Binding complete...\n");
	}
}


