//Implementation of RMI interface.
import java.rmi.*;
import java.rmi.server.*;

public class Uni2Impl extends UnicastRemoteObject
			implements Uni2
{
	private int id;
	private String surname;
	private String firstNames;
	private double average;

	public Uni2Impl (int i, String n, String s, double a)
									throws RemoteException
	{
		id = i;
		surname = n;
		firstNames = s;
		average = a;
	}

	public int getId() throws RemoteException 
	{
		return id;
	}

	public String getName() throws RemoteException 
	{
		return (firstNames + " " + surname);
	}

	public double getAverage() throws RemoteException 
	{
		return average;
	}

	public void setAverage(double a) throws RemoteException 
	{
			average = a;
	}
}

