//Client.
import java.rmi.*;
import java.util.Vector;

public class Uni3Client
{
	private static final String HOST = "localhost";

	public static void main(String[] args)
	{
		try
		{
			Uni3 temp = (Uni3)Naming.lookup(
				"rmi://" + HOST + "/Students");

			Vector studDetails = temp.getStudentsRecords();

			//Simply display all account details...

			for (int i=0; i<studDetails.size(); i++)
			{
				Student acct = (Student)studDetails.elementAt(i);
				System.out.println("\nStudent ID: " + acct.getId());
				System.out.println("Name: " + acct.getName());
				System.out.println("Balance: " + acct.getAverage());
			}

                        System.out.println("...new record...");
                        temp.addStudentRecord(new Student(999999,"pippo","pluto",24.5));

			studDetails = temp.getStudentsRecords();

			//Simply display all account details...

			for (int i=0; i<studDetails.size(); i++)
			{
				Student acct = (Student)studDetails.elementAt(i);
				System.out.println("\nStudent ID: " + acct.getId());
				System.out.println("Name: " + acct.getName());
				System.out.println("Balance: " + acct.getAverage());
			}

		}
		catch(ConnectException conEx)
		{
			System.out.println("Unable to connect to server!");
			System.exit(1);
		}
		catch(Exception e)
		{
			e.printStackTrace();
			System.exit(1);
		}

	}
}

